<!--
  Generated template for the CompleteOrderPage page.

  See http://ionicframework.com/docs/components/#navigation for more info on
  Ionic pages and navigation.
-->
<ion-header>

  <ion-navbar color="haldin-header"  hideBackButton *navbar>
    <ion-title>
      <h3 style="margin-right: auto; margin-left: auto;">complete <span class="font-color-blue">order</span><span class="font-color-green">foods</span>&nbsp;&nbsp;</h3>
    </ion-title>
  </ion-navbar>

</ion-header>


<ion-content padding style="text-align: center;" class="content-home">
     <img src="assets/images/order_ok.png" /> <br /><br />
	<!-- <div *ngIf=" todo.providerUser != 'Sales'"> -->
		<ion-list>
			<div *ngIf="todo.pay_methode =='02'">
				<ion-item class="lista" *ngFor="let produto of payment_nicepay">		  
				  <ion-label>
					<b text-wrap>Terimakasih telah berbelanja  : </b><br /><hr />
					<b><span class="font-color-black"> Tanggal transaksi : {{todo.tanggal_set | date: 'dd-MM-yyyy'}} </span></b><br />
					<b> <span class="font-color-black"> Jam transaksi     : {{todo.jam_set}} </span></b><br /><hr />
					<b> <span class="font-color-black"> Virtual Account   : </span></b><br />
					<p><span class="font-color-black"><input type="text" style="background-color:#fff; font-size:18px; border: none; border-color: transparent;" value="{{produto.bankVacctNo}}" #userinput readonly>  <button (click)="copyInputMessage(userinput)" value="click to copy" >Copy</button> </span></p>
					<b> 
						<span class="font-color-black">
							<p *ngIf=" produto.bankCd == 'BMRI'" > Bank Mandiri  </p> 
							<p *ngIf=" produto.bankCd == 'BNIN'" > Bank BNI  </p> 
							<p *ngIf=" produto.bankCd == 'BBBA'" > Bank Permata  </p> 
							<p *ngIf=" produto.bankCd == 'BDIN'" > Bank Danamon  </p> 
							<p *ngIf=" produto.bankCd == 'BNIA'" > Bank CIMB Niaga  </p> 
							<p *ngIf=" produto.bankCd == 'BRIN'" > Bank BRI  </p> 
							<p *ngIf=" produto.bankCd == 'IBBK'" > My Bank  </p> 
							<p *ngIf=" produto.bankCd == 'HNBN'" > Hana Bank  </p> 
						</span>
					</b><br />
					<b>Silahkan melakukan pembayaran ke nomor </b><br />
					<b>virtual account diatas</b><br />
					<b>Sebelum Tanggal {{todo.tanggal_pay | date: 'dd-MM-yyyy'}}</b><br />
					<b>Jam {{todo.jam_set}}</b>
					<hr />
					<p>Informasi Detail Silahkan Cek Email.</p>
				  </ion-label>
				</ion-item>
				<ion-item>
					<p style="text-align: center;"> 
						<b>Terimakasih Telah Menyelesaikan</b><br />
						<b>Transaksi</b>
					</p> 
				</ion-item>
			</div>
        </ion-list>
	<!-- </div> -->
	<!-- <div *ngIf=" todo.providerUser == 'Sales'">	   
		<b>Terimakasih, <br /> Order Confirmation Sudah Terkirim Ke Email</b>
	</div> -->
	
	<div *ngIf="todo.pay_methode =='05'">
	<ion-list>
		<ion-item>			
			<p style="text-align: center;" *ngIf="todo.card_metode =='OVOE'"> 
				<img src="https://apps.haldinfoods.com/public/frontend/images/payment/ovo.jpg" alt="" item-left class="product-thumb" width="180px" />
			</p>

			<p style="text-align: center;" *ngIf="todo.card_metode =='DANA'"> 
				<img src="https://apps.haldinfoods.com/public/frontend/images/payment/dana.png" alt="" item-left class="product-thumb" width="180px" />
			</p>
		</ion-item>
		<ion-item>			
			<p style="text-align: center;" *ngIf="todo.card_metode =='OVOE'"> 
				<b>Anda akan melakukan pembayaran<br /> menggunakan OVO.</b>
			</p>

			<p style="text-align: center;" *ngIf="todo.card_metode =='DANA'"> 
				<b>Anda akan melakukan pembayaran<br /> menggunakan DANA.</b>
			</p>
		</ion-item>
		
		<ion-item>
			<p style="text-align: center;"> 
				<a href="#" ion-button color="light" class="button-color" (click)="openWebpage(todo.tmtime, todo.tixId, todo.mctoken, todo.card_metode)">Lanjutkan Pembayaran</a>
			</p>
		</ion-item>
	</ion-list>
	</div>
</ion-content>

<ion-footer>
  <ion-list no-margin>
    <ion-item no-padding>
      <ion-label padding-left>
        
      </ion-label>
      <button item-end ion-button color="medium" icon-left (click)="closePage()">
          <ion-icon name="document"></ion-icon>
        Close
      </button>
    </ion-item>
  </ion-list>
</ion-footer>
